"use client";
"use client";
import { i as e, n as t, r as n, t as r } from "../../../tooltip-34vRSwJG.js";
import { n as i, o as a, t as o } from "../../../popover-Ck3ILBUA.js";
import { createContext as s, useContext as c, useEffect as l, useState as u } from "react";
import { jsx as d } from "react/jsx-runtime";
//#region lib/components/ui/atoms/mobile-tooltip.tsx
var f = s(void 0), p = () => c(f), m = ({ children: e, ...t }) => {
	let [r, i] = u(void 0);
	return l(() => {
		i(window.matchMedia("(pointer: coarse)").matches);
	}, []), /* @__PURE__ */ d(f.Provider, {
		value: r,
		children: /* @__PURE__ */ d(n, {
			...t,
			children: e
		})
	});
}, h = (e) => {
	let t = p(), [n, i] = u(!1);
	return t ? /* @__PURE__ */ d(o, {
		...e,
		onOpenChange: i,
		open: n
	}) : /* @__PURE__ */ d(r, { ...e });
}, g = (t) => p() ? /* @__PURE__ */ d(a, { ...t }) : /* @__PURE__ */ d(e, { ...t }), _ = (e) => p() ? /* @__PURE__ */ d(i, { ...e }) : /* @__PURE__ */ d(t, { ...e });
//#endregion
export { h as MobileTooltip, _ as MobileTooltipContent, m as MobileTooltipProvider, g as MobileTooltipTrigger };
